'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    /**
     * Add seed commands here.
     *
     * Example:
     * await queryInterface.bulkInsert('People', [{
     *   name: 'John Doe',
     *   isBetaMember: false
     * }], {});
    */
   await queryInterface.bulkInsert('msisdns',
   [
    {
      msisdn: "628110195678",
      full_name: "Tony",
      imsi: "510105411019567",
      iccid: "9854672834187643275",
      puk_1: "35958021",
      puk_2: "95802135",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195679",
      full_name: "Budi",
      imsi: "510105411019568",
      iccid: "9854672834187643276",
      puk_1: "35958022",
      puk_2: "95802136",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195680",
      full_name: "Agus",
      imsi: "510105411019569",
      iccid: "9854672834187643275",
      puk_1: "35958023",
      puk_2: "95802137",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195681",
      full_name: "Firman",
      imsi: "510105411019570",
      iccid: "9854672834187643276",
      puk_1: "35958024",
      puk_2: "95802138",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195682",
      full_name: "Ilham",
      imsi: "510105411019571",
      iccid: "9854672834187643275",
      puk_1: "35958025",
      puk_2: "95802139",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195683",
      full_name: "Tika",
      imsi: "510105411019572",
      iccid: "9854672834187643276",
      puk_1: "35958026",
      puk_2: "95802140",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195684",
      full_name: "Sarah",
      imsi: "510105411019573",
      iccid: "9854672834187643275",
      puk_1: "35958027",
      puk_2: "95802141",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195685",
      full_name: "Dani",
      imsi: "510105411019574",
      iccid: "9854672834187643276",
      puk_1: "35958028",
      puk_2: "95802142",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110195686",
      full_name: "Erik",
      imsi: "510105411019575",
      iccid: "9854672834187643275",
      puk_1: "35958029",
      puk_2: "95802143",
      account_id: 19,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205678",
      full_name: "Tony",
      imsi: "510105411020567",
      iccid: "9854672834187643275",
      puk_1: "35958021",
      puk_2: "95802135",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205679",
      full_name: "Budi",
      imsi: "510105411020568",
      iccid: "9854672834187643276",
      puk_1: "35958022",
      puk_2: "95802136",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205680",
      full_name: "Agus",
      imsi: "510105411020569",
      iccid: "9854672834187643275",
      puk_1: "35958023",
      puk_2: "95802137",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205681",
      full_name: "Firman",
      imsi: "510105411020570",
      iccid: "9854672834187643276",
      puk_1: "35958024",
      puk_2: "95802138",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205682",
      full_name: "Ilham",
      imsi: "510105411020571",
      iccid: "9854672834187643275",
      puk_1: "35958025",
      puk_2: "95802139",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205683",
      full_name: "Tika",
      imsi: "510105411020572",
      iccid: "9854672834187643276",
      puk_1: "35958026",
      puk_2: "95802140",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205684",
      full_name: "Sarah",
      imsi: "510105411020573",
      iccid: "9854672834187643275",
      puk_1: "35958027",
      puk_2: "95802141",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205685",
      full_name: "Dani",
      imsi: "510105411020574",
      iccid: "9854672834187643276",
      puk_1: "35958028",
      puk_2: "95802142",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110205686",
      full_name: "Erik",
      imsi: "510105411020575",
      iccid: "9854672834187643275",
      puk_1: "35958029",
      puk_2: "95802143",
      account_id: 20,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
  ])
},

down: async (queryInterface, Sequelize) => {
  /**
   * Add commands to revert seed here.
   *
   * Example:
   * await queryInterface.bulkDelete('People', null, {});
   */
  await queryInterface.bulkDelete('msisdns', null, {});
}
};